import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PdfFileCreateManyGroupInputObjectSchema as PdfFileCreateManyGroupInputObjectSchema } from './PdfFileCreateManyGroupInput.schema'

const makeSchema = () => z.object({
  data: z.union([z.lazy(() => PdfFileCreateManyGroupInputObjectSchema), z.lazy(() => PdfFileCreateManyGroupInputObjectSchema).array()]),
  skipDuplicates: z.boolean().optional()
}).strict();
export const PdfFileCreateManyGroupInputEnvelopeObjectSchema: z.ZodType<Prisma.PdfFileCreateManyGroupInputEnvelope> = makeSchema() as unknown as z.ZodType<Prisma.PdfFileCreateManyGroupInputEnvelope>;
export const PdfFileCreateManyGroupInputEnvelopeObjectZodSchema = makeSchema();
